#
#	Regrese 7. kapitola Nesplneni predpokladu
#
rm(list=ls(all=TRUE))
data(Kojeni)
#
summary(a <- lm(hmotnost ~ Hoch + vek.m, data=Kojeni))
#
source("permPVal.R")
permPValT(a,j=NULL,N=5000)
permPValFanova(a,N=5000)
#
#	obrzek dvojch hustot
B <- 5000
stat <- rep(NA,B)
#
opar <- par(mfrow = c(1,2), oma = c(1.1, 0, 1.1, 0), las = 1)
#
print(tB<-summary(a)$coef[2,3])
for (i in 1:B) stat[i] <- summary(update(a,.~sample(Hoch)+vek.m))$coef[2,3]
hist(stat,prob=TRUE,main="",xlab="t")
curve(dt(x,a$df.residual),add=TRUE)
abline(v=c(-tB,tB))
sum(abs(stat)>=abs(tB))
mean(abs(stat)>=abs(tB))
#
print(tB<-summary(a)$coef[3,3])
for (i in 1:B) stat[i] <- summary(update(a,.~Hoch+sample(vek.m)))$coef[3,3]
hist(stat,prob=TRUE,main="",xlab="t")
curve(dt(x,a$df.residual),add=TRUE)
abline(v=c(-tB,tB))
sum(abs(stat)>=abs(tB))
mean(abs(stat)>=abs(tB))
par(opar)
#


