#
#	Regrese, 10. kapitola, Hledn modelu
#
rm(list=ls(all=TRUE))
data(Policie)
attach(Policie)
a<-step(lm(fat~1),scope=list(lower=~1,upper=~react+height+weight+pulse+diast))
summary(a)
#
#	oven, co pot R jako AIC
RSS <- anova(a)[4,2]
n <- dim(Policie)[1]
r <- a$rank
AIC <- n*(1+log(2*pi*RSS/n))+2*(r+1)
AIC
AIC(a)
#	ano, pot podle (10.9)
n*log(RSS/n)+2*r
#	posledn vraz udv procedura step()
#	Boxova-Coxova transformace
library(MASS)
boxcox(lm(fat~height+weight,data=Policie),lambda=seq(0,1.2,length=21))
#
#	ebk transformac
#
xx = seq(1,sqrt(24),length=101)
yy = sqrt(5^2-xx^2)
plot(xx,yy,type="l",xlab="x",ylab="y",xlim=c(-6,6),ylim=c(-6,6))
lines(xx,-yy)
lines(-xx,-yy)
lines(-xx,yy)
arrows(-5,0,5,0,code=3)
arrows(0,-5,0,5,code=3)
x0 = 5.5; y0 = 0.4
text(x0,y0,"nahoru")
text(x0,-y0,"pro x")
text(-x0,y0,"dol")
text(-x0,-y0,"pro x")
text(0,x0+1.4*y0,"nahoru")
text(0,x0,"pro y")
text(0,-x0,"dol")
text(0,-x0-1.4*y0,"pro y")
#	
detach(Policie)
#
