#	permutan vpoet p-hodnoty u jednotlivch promnnch
#	u faktor u umlch promnncj, nikoliv u faktor samch
#
permPValT <- function(a,j=NULL,N=5000){
#	a	lin. model
#	j	kter koeficient 
#	j	vechny koeficienty
#	N	poet permutac
#
#	matice modelu
y <- a$resid+predict(a)
X <- model.matrix(a)
#	uber sloupec jedniek, je-li tam
j0 <- which(colnames(X)=="(Intercept)")
if (length(j0>0)>0) X <- X[,-j0]
if (is.null(j)) jj <- 1:ncol(X) else jj <- j
stat <- matrix(NA,N,length(jj))
colnames(stat) <- colnames(X[,jj])
#
j1 <- 0
for (el in jj){
  XX <- X
  j1 <- j1+1
  for (i in 1:N){
    XX[,el] <- sample(X[,el])
    ai <- lm(y~XX)
    stat[i,j1] <- summary(ai)$coef[el+1,3]
    }
  }
pval <- apply(abs(stat)>=matrix(abs(summary(a)$coef[jj+1,3]),N,length(jj),byrow=TRUE),2,mean)
pv <- rep(NA,length(coef(a)))
pv[1+jj] <- pval 
OUT <- cbind(summary(a)$coef,pPerm=pv)
print(OUT)
invisible(list(stat,summary=OUT))
}
#
#	permutan vpoet p-hodnoty F-testu (souvisejcho s R^2)
#
permPValFanova <- function(a,N=5000){
#
#	a	linern model
#	N 	poet permutac y
y <- a$resid+predict(a)
X <- model.matrix(a)
j0 <- which(colnames(X)=="(Intercept)")
if (length(j0>0)>0) X <- X[,-j0]
#
stat <- rep(NA,N)
for (i in 1:N){
	ai <- lm(sample(y)~X)
	stat[i] <- summary(ai)$fstatistic[1]
	}
OUT <- mean(stat>summary(a)$fstatistic[1])
print(OUT)
invisible(list(stat,summary=OUT))
}
#
