#
#	Regrese: 4. kapitola   Regrese s jednou
#
rm(list=ls(all=TRUE))
data(Listy)
attach(Listy)
summary(a.1 <- lm(delka~den,subset=List==1))
d.0 <- 20
print(d.1 <- (d.0-coef(a.1)[1])/coef(a.1)[2])
#
d.1Hat <- predict(a.1,newdata=data.frame(den=d.1), se.fit=T)
print(SE.d.1 <- d.1Hat$se.fit/coef(a.1)[2])
#
print(t.1 <- qt(.975,a.1$df.resid))
int.1 <- c(d.1,SE.d.1)%*%matrix(c(1,0,1,-t.1,1,t.1),2,3)
int.1
#
source("fieller.R")
fieller.int(den[List==1],delka[List==1],d.0,fixed=TRUE)
fieller.int(den[List==2],delka[List==2],d.0,fixed=TRUE)
fieller.int(den[List==3],delka[List==3],d.0,fixed=TRUE)
#
summary(a.obec <- lm(delka~den*List,data=Listy))
#
summary(a.rovno <- lm(delka~den+List,data=Listy))
#
anova(a.rovno,a.obec)
#
summary(a.rovno23 <- lm(delka~den+List+(List!=1):den,data=Listy))
#
anova(a.rovno,a.rovno23,a.obec)
#
plot(delka~den)
abline(h=d.0,lty=2)
abline(lm(delka~den,subset=List==1))
abline(lm(delka~den,subset=List==2))
abline(lm(delka~den,subset=List==3))
#
detach(Listy)
#
