#
#	Ragrese, 6. kapitola, ANOVA
#
rm(list=ls(all=TRUE))
data(Koreny)
attach(Koreny)
boxplot(hmotnost~Procento,xlab="Procento",ylab="hmotnost")
anova(lm(hmotnost~Procento,data=Koreny))
#
summary(aov(hmotnost~Procento,data=Koreny))
#
a <- lm(hmotnost~Procento,contr=list(Procento = contr.treatment))
summary(a)
#
tapply(hmotnost,Procento,mean)
coef(a)[1]+c(0,coef(a)[-1])
#
coef(a)[1]+contr.treatment(nlevels(Procento))%*%coef(a)[-1]
#
summary(lm(hmotnost~Procento,contrasts=list(Procento=contr.helmert)))
#
summary(lm(hmotnost~Procento,contrasts=list(Procento=contr.sum)))
#
contr.poly(4)
#
a.poly <- lm(hmotnost~Procento,contrasts=list(Procento=contr.poly))
summary(a.poly,correlation=TRUE)
#
detach(Koreny)
#
#
data(Howells)
attach(Howells)
#
anova(lm(oca~Sex*Popul))
anova(lm(oca~Popul*Sex))
anova(lm(gol~Sex*Popul))
anova(lm(gol~Popul*Sex))
split.screen(c(1,2))
screen(1);interaction.plot(Popul,Sex,oca,legend=FALSE)
screen(2);interaction.plot(Popul,Sex,gol,legend=FALSE)
#	-knka-	#	dev.off()
tapply(oca,list(Sex,Popul),mean)
tapply(gol,list(Sex,Popul),mean)
detach(Howells)
#
#	upraven soubor Howells
#	vzal vechna data naich promnnch z naich t populac
#	soubor HowellsAll
#	nhodn vyhodil asi polovinu mu (HowellsNevyvazeny.R)
#	soubor How
#
data(How)
xtabs(~Sex+Popul,data=How)
attach(How)		#	aby nebylo teba pst parametr data
summary(lm(oca~Sex*Popul))
summary(lm(gol~Sex*Popul))
#
anova(lm(oca~Sex*Popul))
anova(lm(oca~Popul*Sex))
#
drop1(lm(oca~Popul*Sex),~Popul*Sex,test="F")
#
library(car)
Anova(lm(oca~Popul*Sex),type="III")
#
(X <- model.matrix(~Popul*Sex))[1:4,]
anova(lm(oca~X[,-(2:3)]-1),lm(oca~X-1))
anova(lm(oca~X[,-4]-1),lm(oca~X-1))
anova(lm(oca~X[,-(5:6)]-1),lm(oca~X-1))
#
Anova(lm(oca~Popul*Sex,contr=list(Popul=contr.sum)),type="III")
#
Anova(lm(oca~Popul*Sex))
detach(How)
#