Tukey.test <- function(y,A,B){
#
# Tukeyv test aditivity
# y spojit zvisle promnn
# A, B faktory
# podle J. J. Faraway: 191
#
#
yNAME <- deparse(substitute(y))
ANAME <- deparse(substitute(A))
BNAME <- deparse(substitute(B))
#	odstranit nezucastnene urovne
I <- nlevels(A); J <- nlevels(B)
#	dvojne trideni
a <- lm(y~A+B,contrasts=list(A="contr.treatment",B="contr.treatment"))
coefA <- rep(c(0,coef(a)[2:I]),J)
coefB <- rep(c(0,coef(a)[-(1:I)]),each=I)
#	prepocitat model s jednoparam. interakcemi
a <- update(a,.~.+I(coefA*coefB))
aa <- anova(a)
rownames(aa)[1:3] <- c(ANAME,BNAME,"Interaction")
attr(aa,"heading") <- c("Tukey's test for nonadditivity",
	paste("Response:",yNAME)) 
aa
}
